Searching...

Tags

get /tags

List all video tags

This endpoint enables you to search for video tags in a project and see how many videos are tagged with them. If you do not define any query parameters, the endpoint lists all video tags and the numbers of times they are used in a project.

value string

Use this parameter to search for specific video tags. The API filters results even on partial values, and ignores accents, uppercase, and lowercase.

sortBy string

Use this parameter to choose which field the API will use to sort the response data. The default is value .

These are the available fields to sort by:

  • value : Sorts the results based on tag values in alphabetic order.

  • videoCount : Sorts the results based on the number of times a video tag is used.

Enum
  • value
  • videoCount
sortOrder string

Use this parameter to sort results. asc is ascending and sorts from A to Z. desc is descending and sorts from Z to A.

Enum
  • asc
  • desc
currentPage int

Choose the number of search results to return per page. Minimum value: 1

Default
1
pageSize int

Results per page. Allowed values 1-100, default is 25.

Default
25

Responses

Success

Response body Headers
data array
pagination object (Pagination)
Example
{ "itemsTotal": 123, "pagesTotal": 7, "pageSize": 20, "currentPage": 3, "currentPageItems": 20, "links": { "first": { "rel": "first", "uri": "/videos/search?currentPage=1&pageSize=20" }, "previous": { "rel": "previous", "uri": "/videos/search?currentPage=2&pageSize=20" }, "next": { "rel": "next", "uri": "/videos/search?currentPage=4&pageSize=20" }, "last": { "rel": "last", "uri": "/videos/search?currentPage=6&pageSize=20" } } }
itemsTotal int

Total number of items that exist.

pagesTotal int

Number of items listed in the current page.

pageSize int

Maximum number of item per page.

currentPage int

The current page index.

currentPageItems int

The number of items on the current page.

links array required
X-RateLimit-Limit int

The request limit per minute.

X-RateLimit-Remaining int

The number of available requests left for the current time window.

X-RateLimit-Retry-After int

The number of seconds left until the current rate limit window resets.

Too Many Requests

Response body Headers
type string

A link to the error documentation.

title string

A description of the error that occurred.

status int

The HTTP status code.

X-RateLimit-Limit int

The request limit per minute.

X-RateLimit-Remaining int

The number of available requests left for the current time window.

X-RateLimit-Retry-After int

The number of seconds left until the current rate limit window resets.

Response examples

Success

{
  "data": [
    {
      "value": "maths",
      "videoCount": "33"
    },
    {
      "value": "tutorials",
      "videoCount": "10"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 25,
    "pagesTotal": 1,
    "itemsTotal": 2,
    "currentPageItems": 2,
    "links": [
      {
        "rel": "self",
        "uri": "/tags?currentPage=1&pageSize=25"
      },
      {
        "rel": "first",
        "uri": "/tags?currentPage=1&pageSize=25"
      },
      {
        "rel": "last",
        "uri": "/tags?currentPage=1&pageSize=25"
      }
    ]
  }
}

Too Many Requests

{
  "type": "https://docs.api.video/reference/too-many-requests",
  "title": "Too many requests.",
  "status": 429
}